/*
 * Paraselene
 * Copyright (c) 2009, 2010  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.mockup;

import java.io.*;
import java.net.*;
import paraselene.dyna.*;

/**
 * ダウンロード用。
 */
public class Download extends PrePage {
	void makeSource() throws Exception {
		Output[]	output = {
			new paraselene.mockup.output.source.view.download(),
			new paraselene.mockup.output.source.logic.download()
		};
		for ( int i = 0; i < 2; i ++ ) {
			makeSourceMain( i, output[i] );
		}
	}

	Download( File p ) 
	throws FileNotFoundException, UnsupportedEncodingException, IOException,
	DynamicPageException {
		super( p );
		addNote( "Downloadable を実装しました。" );
	}
}

